@import '../../assets/mixins/variables.less';
.landing-page {
    font-size: 18px;
    line-height: 22px;
    width: 100%;
    .swiper-slide {
        height: 100vh;
        color: @white;
        overflow: hidden;
        position: relative;
        &.horizontal-scroll {
            height: auto;
            overflow: visible;
            .main-content--swiper {
                align-items: center;
                padding-top: 0;
            }
        }
    }
    .swiper-pagination-bullet {
        width: 5px;
        height: 62px;
        border: 1px solid @white  !important;
        border-radius: 0;
        background: transparent;
        opacity: 1;
        &.swiper-pagination-bullet-active {
            background: @white;
        }
    }
    .swiper-container-vertical>.swiper-pagination-bullets {
        right: 2%;
    }
    svg.svg-dots {
        position: absolute;
        right: -135px;
        top: -45px;
    }
    .img-thumbnail {
        background-color: transparent;
        border: 0;
    }
    .container.main-content--swiper {
        display: flex;
        align-items: flex-start;
        height: 100vh;
        padding-top: 8%;
        position: relative;
    }
    .page1 {
        .container.main-content--swiper {
            padding-top: 0;
            align-items: center;
        }
    }
    .page2 {
        .thinker-svg {
            right: 0%;
            top: 5%;
        }
    }
    .container {
        max-width: 1650px;
    }
    .thinkers {
        font-family: 'LeagueSpartan-Bold';
        margin-top: 100px;
        .makers{
            color: #D51635
        }
        h2 {
            font-size: 115px;
            display: inline-block;
        }
        .and-symbol {
            //color: @seperator-color;
            font-size: 88px;
            font-weight: 100;
            font-family: 'Futura-Light';
            display: inline-block;
            margin: 0px 25px;
        }
        h5 {
            font-family: 'Futura-Regular';
            font-size: 32px;
            margin-left: 18px;
            margin-top: -40px;
        }
        .tiles-link {
            color: #fff;
            text-decoration: none;
        }
        .card-section {
            text-align: center;
            width: 120px;
            padding: 20px 10px;
            cursor: pointer;
            border: 2px solid #fff;
            border-radius: 20px;
            overflow: hidden;
            svg {
                height: 60px;
                .process {
                    stroke-width: 0.35px;
                    stroke: #fff;
                    stroke-dasharray: 684;
                    animation: drawProcessPath 3s linear 1s both;
                    @keyframes drawProcessPath {
                        0% {
                            stroke-dashoffset: 684;
                            fill-opacity: 0;
                        }
                        25% {
                            fill-opacity: 1;
                        }
                        50% {
                            fill-opacity: 1;
                        }
                        75% {
                            stroke-width: 0.35px;
                        }
                        100% {
                            stroke-dashoffset: 0;
                            stroke-width: 0px;
                            fill-opacity: 1;
                        }
                    }
                }
                .work {
                    stroke-width: 0.35px;
                    stroke: #fff;
                    stroke-dasharray: 783;
                    animation: drawWorkPath 3s linear 1.5s both;
                    @keyframes drawWorkPath {
                        0% {
                            stroke-dashoffset: 783;
                            fill-opacity: 0;
                        }
                        25% {
                            fill-opacity: 1;
                        }
                        50% {
                            fill-opacity: 1;
                        }
                        75% {
                            stroke-width: 0.35px;
                        }
                        100% {
                            stroke-dashoffset: 0;
                            stroke-width: 0px;
                            fill-opacity: 1;
                        }
                    }
                }
                .experts {
                    stroke-width: 0.35px;
                    stroke: #fff;
                    stroke-dasharray: 521;
                    animation: drawexpertskPath 3s linear 2s both;
                    @keyframes drawexpertskPath {
                        0% {
                            stroke-dashoffset: 521;
                            fill-opacity: 0;
                        }
                        25% {
                            fill-opacity: 1;
                        }
                        50% {
                            fill-opacity: 1;
                        }
                        75% {
                            stroke-width: 0.35px;
                        }
                        100% {
                            stroke-dashoffset: 0;
                            stroke-width: 0px;
                            fill-opacity: 1;
                        }
                    }
                }
            }
            &.pro:hover {
                color: #340b62;
                border-radius: 20px;
                svg {
                    .process {
                        fill: #340b62;
                    }
                }
            }
            &.wrk:hover {
                color: #340b62;
                border-radius: 20px;
                svg {
                    .work {
                        fill: #340b62;
                    }
                }
            }
            &.exp:hover {
                color: #340b62;
                border-radius: 20px;
                svg {
                    .experts {
                        fill: #340b62;
                    }
                }
            }
            .card-icon {
                width: 60px;
                height: 60px;
            }
        }
        h6 {
            font-size: 18px;
        }
        .card-active {
            background: @white;
            h6 {
                color: @card-text-color;
                font-weight: bold;
            }
        }
    }
    .team-intro-content {
        .regular-text,
        .about-our-team,
        .our-specialization {
            font-size: 22px;
            line-height: 28px;
        }
        .sub-heading {
            font-size: 28px;
            padding-bottom: 20px;
        }
    }
    .services-content p,
    li {
        font-size: 22px;
        line-height: 28px;
        margin-bottom: 10px;
    }
    .services-heading {
        font-family: 'LeagueSpartan-Bold';
        font-size: 24px;
        padding-bottom: 20px;
        min-height: 85px;
        line-height: 32px;
        color: @highlight-text-color;
    }
    .ourteam-heading{
        font-family: 'LeagueSpartan-Bold';
        font-size: 24px;
        padding-bottom: 10px;
        color: @highlight-text-color;
    }
    .swiper-pagination {
        position: fixed;
        height: 100vh;
        flex-direction: column;
        width: 50px;
        z-index: 99;
        right: 50px;
        li {
            margin: 10px 0;
            a {
                &::before {
                    content: "";
                    height: 65px;
                    width: 6px;
                    border: 1px solid @white;
                    display: block;
                    cursor: pointer;
                }
                &.active::before {
                    background: @white;
                }
            }
        }
    }
}

.ux-bg {
    position: absolute;
    top: 0;
    right: 0px;
    background-size: 93vh;
    bottom: 0;
    margin: auto;
    height: 900px;
}

#dots {
    overflow: hidden;
    display: none;
}

.svg-dots {
    position: absolute;
    right: -76px;
    top: 50%;
    width: 744px;
    height: 118px;
}

.dots {
    position: absolute;
    right: 664px;
    top: 49%;
    height: 12px;
    line-height: 0;
}

#svg-dots {
    width: 0px;
    overflow: hidden;
}

.thinker-svg,
.ourteam-svg,
.services-svg {
    position: absolute;
    right: 4%;
    top: 110px;
    width: 100%;
    height: 90%;
    svg {
        width: 100%;
        height: 100%;
    }
}

.ourteam-svg {
    right: 10% !important;
}

/**********Rotate Triangle********/

.rotate-animation {
    animation: rotate-triangle 5s ease-in-out 1s infinite;
    transition: all .5s ease-in-out 1s;
    @keyframes rotate-triangle {
        0% {
            transform: rotate(0)
        }
        100% {
            transform: rotate(360deg)
        }
    }
    transform-origin: 78px 449px;
}

//animation css
.transform-box {
    transform-box: fill-box;
}

@-webkit-keyframes hvr-bounce-to-top {
    100% {
        top: -12px;
        right: -12px;
        bottom: -12px;
        left: -12px;
        opacity: 0;
    }
}

@keyframes hvr-bounce-to-top {
    100% {
        top: -12px;
        right: -12px;
        bottom: -12px;
        left: -12px;
        opacity: 0;
    }
}

/* Ripple Out */
@-webkit-keyframes hvr-ripple-out {
    100% {
      top: -12px;
      right: -12px;
      bottom: -12px;
      left: -12px;
      opacity: 0;
    }
  }
  @keyframes hvr-ripple-out {
    100% {
      top: -12px;
      right: -12px;
      bottom: -12px;
      left: -12px;
      opacity: 0;
    }
  }
.hvr-ripple-out {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
}

.hvr-ripple-out:before {
    content: '';
    position: absolute;
    border: 2px solid @text-primary-color;
    border-radius: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
}

.hvr-ripple-out:hover:before,
.hvr-ripple-out:focus:before,
.hvr-ripple-out:active:before {
    -webkit-animation-name: hvr-ripple-out;
    animation-name: hvr-ripple-out;
}

/* Bounce To Top */

.hvr-bounce-to-top {
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    position: relative;
    -webkit-transition-property: color;
    transition-property: color;
}

.hvr-bounce-to-top:before {
    content: "";
    position: absolute;
    border: 2px solid @white;
    background: @white;
    border-radius: 16px;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    -webkit-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: 50% 100%;
    transform-origin: 50% 100%;
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transition-duration: 1s;
    transition-duration: 1s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.hvr-bounce-to-top:hover::before {
    border-width: 4px;
}

.hvr-bounce-to-top:hover,
.hvr-bounce-to-top:focus,
.hvr-bounce-to-top:active {
    color: white;
}

.hvr-bounce-to-top:hover:before,
.hvr-bounce-to-top:focus:before,
.hvr-bounce-to-top:active:before {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
    -webkit-transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
    transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
}

.svg-team {
    position: absolute;
    top: 99px;
    height: 778px;
    right: -328px;
}
.svg-team-img {
    overflow: hidden;
    height: 0;
}
.activeslide .svg-team-img {
    animation: growHeight 1s linear 1s both;
    
}

.svg-strength {
    position: absolute;
    top: 176px;
    left: -382.615234375px;
    width: 565px;
    height: 627px;
}

.svg-strength-ico {
    height: 0px;
    overflow: hidden;
}
.activeslide .svg-strength-ico {
    animation: growHeight 1s linear 1s both;
}

.svg-clients {
    position: absolute;
    top: -166.5712890625px;
    left: -239.41796875px;
    width: 676px;
    height: 682px;
}

.svg-clients-img {
    height: 0px;
    overflow: hidden;
}
.activeslide .svg-clients-img {
    animation: growHeight 1s linear 1s both;
}

.dot-client {
    position: absolute;
    right: 1773px;
    top: 518px;
    height: 12px;
    line-height: 0;
}

.dot-client-img {
    overflow: hidden;
    width: 0
}
.activeslide .dot-client-img {
    animation: growimg .1s linear 2s both;
}

.mlr-spacing {
    margin: 0 8rem;
}

.side-scroll {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    overflow: hidden;
    width: 100%;
    height: 100vh;
}

.side-scroll-inner {
    width: 300vw;
    height: 100%;
    display: flex;
    -ms-flex-direction: row;
    flex-direction: row;
    will-change: transform;
    transform-style: preserve-3d;
}

.pannel-wide {
    // display: none;
    display: flex;
    width: 100vw;
    position: relative;
}
.pannel-wide.active, .pannel-wide.pannel1, .pannel-wide.pannel2 {
    display: flex;
}
.service1-dots {
    position: absolute;
    right: 220px;
    bottom: -144px;
    width: 775px;
    height: 400px;
}

.service2-dots {
    position: absolute;
    right: 588px;
    top: -170px;
    width: 697px;
    height: 400px;
}

.service3-dots {
    position: absolute;
    right: -30px;
    bottom: -125px;
    width: 775px;
    height: 400px;
}
.service1-dots-img {
    overflow: hidden;
    width: 0px;
}
.activeslide .service1-dots-img {
    animation: growimg 1s linear 1s both;
}

.scroll-top.dev {
    display: none !important;
}

.scroll-top{
    background: #ce1534 !important;
    opacity: 0.7 !important;
    right: 30px !important;
    left: inherit !important;
    bottom: 40px !important;
    z-index: 99;
}
label#zitrigger > img {
    width: 25px;
    position: relative;
    right: -18px;
    top: -14px;
}
// .wave-con {
//   stroke-dasharray: 100;
//   animation: dash 10s linear infinite;;
//   stroke-width:12;stroke-miterlimit:10;
// }
@keyframes dash {
    to {
        stroke-dashoffset: 1000;
    }
}

/***************8side menu*****************/

#ziwrap_left {
    border-radius: 50%;
    text-align: center;
    top: 30%;
    position: fixed;
    flex-direction: column;
    width: 150px;
    z-index: 99;
    left: 0px;
    height: 350px;
}

#ziwrap_left #zimenu {
    display: none;
}

#ziwrap_left #zitrigger {
    display: block;
    width: 90px;
    height: 90px;
    color: #E52B50;
    background-color: #FFF;
    border-radius: 50%;
    margin-top: 130px;
    line-height: 100px;
    margin-left: -50px;
    cursor: pointer;
    z-index: 1;
    font-size: 30px;
    box-shadow: 3px 1px 10px -3px #333;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    border: 5px solid transparent;
    -webkit-animation: left-to-right 1s ease 1 1s both;
    animation: left-to-right 1s ease 1 1s both;
}

#ziwrap_left #zitrigger:hover {
    color: #FFF;
}

#ziwrap_left #zicircle {
    width: 350px;
    height: 350px;
    // position: fixed;
    position: absolute;
    margin-left: -200px;
    border-radius: 50%;
    text-align: center;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -o-transform: scale(0);
    -moz-transform: scale(0);
    transform: scale(0);
    z-index: -3;
    opacity: 0;
    background-image: linear-gradient(141deg, #12042E 8%,#450F7B 40%, #FC596B 100%);
    box-shadow: 0px 3px 20px -3px #333;

    h6{
        color:@white;
    }
}

#ziwrap_left i {
    padding-left: 40px;
}

#ziwrap_left #zimenu_left:checked~#zicircle, body #ziwrap_left .zicircle.active {
    -webkit-transform: scale(1) !important;
    -moz-transform: scale(1) !important;
    -o-transform: scale(1) !important;
    -moz-transform: scale(1) !important;
    transform: scale(1) !important;
    opacity: 1 !important;
}

#ziwrap_left #zimenu_left:checked~#zitrigger {
    box-shadow: 0px 0px 30px #333 inset;
    border: 5px solid #E52B50;
}

#zimenu_left:checked~#zioverlay {
    opacity: 0.7;
    visibility: hidden;
}
input[type=checkbox]{
    visibility: hidden;
}

#zicircle a {
    text-decoration: none;
}

#ziwrap_left #zicircle i {
    width: 65px;
    height: 65px;
    border-radius: 50%;
    background-color: #E52B50;
    color: #666;
    font-size: 30px;
    display: block;
    text-align: center;
    line-height: 65px;
    margin-top: 15px;
    margin-bottom: 15px;
    color: #FFF;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    padding: 0px;
}

#ziwrap_left #zicircle i:hover {
    color: #E52B50;
    background-color: #000;
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}

#ziwrap_left #zicircle a:nth-child(1) {
    margin-left: 45px;
    position: absolute;
    margin-top: 50px;
}

#ziwrap_left #zicircle a:nth-child(2) {
    margin-left: 100px;
    position: absolute;
    margin-top: 140px;
}

#ziwrap_left #zicircle a:nth-child(3) {
    margin-left: 45px;
    position: absolute;
    margin-top: 238px;
}

#ziwrap_left #zicircle a:nth-child(5) {
    margin-left: 10px;
    position: absolute;
    margin-top: 285px;
}
.card-section.pro {
    width: 60px;
}
.strength-tech{   
    label{
        display: inline-block;       
        vertical-align: middle;
        margin-bottom: 0;       
        &:first-child{       
        width: 40%;        
    }
    &:last-child{      
        width: 60%;       
    }   
}
}
scrolltop {
    .scroll-top{
        position: relative;
        &:before,
        &:after {
            left: 50%;
            top: 50%;
            margin-left: -20px;
            margin-top: -20px;
            position: absolute;
            vertical-align: middle;
            background: #D51635;
            width: 40px;
            height: 40px;
            border-radius: 50%;
            z-index: 1;
        }
        &:before {
        content: "";
            animation: bounce 1.5s infinite;
        }
        &:after {
        content: "";
            animation: bounce 1.5s -0.4s infinite;
        }
        svg {
            z-index: 9;
            background: #ce1534 url('../../assets/images/back-icon.svg') no-repeat center center !important;
            transform: rotate(180deg);
            content: "";
            width: 30px;
            height: 30px;
            path:first-child {
                fill-opacity: 0;
            }
        }
    }
}


.home-png-grow,.home-png-grow-1 {
    overflow-x: hidden;
    width: 0
}
.activeslide .home-png-grow {
    animation: growimg 1s linear 1s both;
}
.activeslide .home-png-grow-1 {
    animation: growimg .1s linear 1s both;
}

@keyframes bounce {
  0% {
    transform: scale(0.8);
    -webkit-transform: scale(0.8);
    opacity: 1;
  }
  100% {
    transform: scale(2);
    -webkit-transform: scale(2);
    opacity: 0;
  }
}


@keyframes growimg {
    0% {
        width:0%;
    }
    100% {
        width:100%
    }
}
@keyframes growHeight {
    0% {
        height: 0px;
    }
    100% {
        height: 782px;
    }
}
.banner-wrp {
    transform-box: fill-box;
    transform-origin: center;
    transform: scale(0.85)
}
.banner-rotate {
    transform-box: fill-box;
    transform-origin: center;
    animation: bannerRotate 30s linear 1s infinite;
    @keyframes bannerRotate {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg)
        }
    }
}
.card-section {
    svg, h6{
        transition: all .2s ease-in-out;
    }    
}
.tiles-link:hover .card-section {
    svg, h6{
        -webkit-transform: scale(1.1);
        transform: scale(1.1);    
    }
}
.border-after:after{
    border-right: 4px dotted #989393;
    content: " ";
    display: inline;
    position: absolute;
    height: 525px;
    right: -48px;
    top: 18%;
    opacity: 0.5;
}

.serive-list{
    list-style-type: disc;
    padding-left: 20px;
    li{
        padding-bottom: 20px;
        padding-left: 5px;
    }
}

nav.navbar.navbar-expand {
    &.active {
        background: #12022E;
    }
}
span.count {
    width: 50px;
    display: inline-block;
    text-align: center;
}